{
    onTryHit(target, source, move) {
      if (target !== source && move.flags["light"]) {
        if (!this.heal(target.baseMaxhp / 4)) {
          this.add("-immune", target, "[from] ability: Lifelight");
        }
        return null;
      }
    },
    onWeather(target, source, effect) {
      if (target.hasItem("utilityumbrella"))
        return;
      if (effect.id === "voidfog") {
        this.damage(target.baseMaxhp / 8, target, target);
      }
    },
    flags: {},
    name: "Lifelight",
    rating: 3.5,
    num: -32049
}